Bug 176541 - alsa usb audio oss emulator output broken using skype
alsa usb audio oss emulator output broken using skype
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-24 22:47 EST by Edgar Villanueva
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 08:50:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Villanueva 2005-12-24 22:47:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Skype using snd-usb-audio(Plantronics dsp-400) and alsa oss emulation layer cannot hear audio.  There is broken alsa code included in alsa version distributed in kernel 2.6.14.

See the kernel bug listed in.
http://bugzilla.kernel.org/show_bug.cgi?id=5618

I can verify that everything works on the redhat distributed  2.6.12/13. I have also verified that it work in kernel 2.6.15-rc6-git4.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1.have a usb audio device
2.use an app that uses the also oss emulation layer.(skype)
3.try to listen to something.

  

Actual Results:  Can't hear anything in the headset

Expected Results:  Should be able to hear audio output

Additional info:
Comment 1 Dave Jones 2005-12-29 01:58:41 EST
there's a 2.6.15rc rebase in the works at
http://people.redhat.com/davej/kernels/Fedora/FC4

There's another FC4 update based on 2.6.14 due out in a few days which won't
have this fixed, but I'm hoping that the .15 update won't linger much longer.
(Basically waiting on upstream to bless the final release).
Comment 2 Edgar Villanueva 2005-12-29 09:20:04 EST
Waiting for 2.6.15 is a problem because it's know to break a few items so alot
of stuff needs to be upgraded.  Is there a way that alsa can be upgraded in the
2.6.14 tree?
Comment 3 Dave Jones 2005-12-29 19:14:48 EST
not without sacrificing time spent on other things.
backporting stuff is non-trivial. Even if someone else did the actual backport,
it still needs review/testing.

The only breakage I'm aware of in 2.6.15rc is the need for an updated udev if
your setup relies on /dev/input/event*  Hopefully we'll get a udev update in
testing soon for that.
Comment 4 Dave Jones 2006-02-03 00:57:19 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-05 08:50:48 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.